@import "src/styles/base";

.controls {
  flex: 0 0 auto;
}

.controlsList {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-flow: column nowrap;
  @include sm {
    flex-flow: row nowrap;
  }
}

.control {
  position: relative;
  text-align: center;
  cursor: pointer;
  font-size: 20px;
  border: 1px solid $accent-color;
  border-bottom: 0;
  border-top-right-radius: $border-radius;
  border-bottom-right-radius: $border-radius;
  width: 30px;

  @include sm {
    width: auto;
    flex: 1 0 calc(100% / 28);
    border: 1px solid $accent-color;
    border-right: 0;
    border-radius: $border-radius $border-radius 0 0;
  }

  &:last-child {
    border-bottom: 1px solid $accent-color;
    @include sm {
      border-right: 1px solid $accent-color;
    }
  }

  &:hover {
    background: rgba($accent-color, .1);
    color: $accent-color;
  }

  &.isActive {
    border-left: 1px solid $primary-color-light;
    background: $primary-color-light;
    color: $accent-color;
    @include sm {
      border-left: 1px solid $accent-color;
      border-bottom: 1px solid $primary-color-light;
    }
  }

  &.nonSelectable {
    pointer-events: none;
    color: rgba($primary-text-color, .5);
  }
}

.title {
  display: block;
  padding-top: 5px;
  padding-bottom: 12px;
  @include sm {
    padding: 5px 0 7px;
  }
}

.qnt {
  position: absolute;
  font-size: 8px;
  line-height: 8px;
  right: 3px;
  bottom: 2px;
}
